# Generate database_first update

- name: Generate workflow
  become: true
  hosts: "myhost"
  serial:
    - "100%"
  vars:
    ansible_user: {{ my_username }}
    ansible_password: {{ my_password }}

  tasks:
{% if database_first is defined %}
# Generate golive database first
  - name: UPDATE DATABASE
    debug:
      msg: Start golive db

{% endif %}

{% if consul is defined %}
# Generate update consul
  - name: UPDATE CONSUL
    debug:
      msg: Start update consul

{% endif %}

{% if deploy_parallel is defined  %}
# Generate deploy parallel
  - name: DEPLOY APP WITH PARALLEL
    debug:
      msg: "Start deploy with parallel"

{% include 'lib/_deploy_parallel_nomad.j2' %}

# End generate deploy parallel
{% endif %}

{% if deploy_sequence is defined  %}
# Generate deploy sequence
  - name: DEPLOY APP WITH SEQUENCE
    debug:
      msg: "Start deploy with sequence"

{% include 'lib/_deploy_sequence_nomad.j2' %}

# End generate deploy sequence
{% endif %}
